<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Asinc/Await</title>
</head>

<body>
    <div class='wrapper'>
        <button id='btnGetIP'>FIND PERSON</button>
        <div class='info'>
            <p id='temp'>...waiting for IP</p>
        </div>
    </div>
    <style>
        .wrapper {
            font-style: italic;
        }

        .info {
            max-width: 40%;
            border: 3px solid grey;
            padding-left: 1rem;
            margin-top: 1rem;
        }

        #btnGetIP {
            background-color: yellowgreen;
            color: black;
            border: 2px solid grey;
            text-transform: uppercase;
            font-weight: bold;
            font-size: 2rem;
            border-radius: 10px;
            padding: 10px;
        }
    </style>

    <script>
        const btnGetIP = document.getElementById('btnGetIP');
        const urlAdress = 'https://api.ipify.org/?format=json';
        btnGetIP.addEventListener('click', () => {
            getInfo(urlAdress);

        });


        // -------------------------------------------------------------------------
        async function getInfo(url) {
            try {
                const promisIP = await fetch(url);
                const objIP = await promisIP.json();
                const ip = objIP.ip;
                const promisPerson = await fetch('http://ip-api.com/json/' + ip);
                const person = await promisPerson.json();
                console.log(person);
                createResponse(person);
            }
            catch (error) {
                console.log('...sorry');
                throw new Error(error.message)

            }



        }
        // -------------------------------------------------------------------------
        function createResponse({ timezone, country, region, city, regionName }) {
            let personInfo = document.querySelector('.info');
            const obj = { timezone, country, region, city, regionName };
            document.getElementById('temp').style.display = 'none';

            for (let key in obj) {
                const p = document.createElement('p');
                p.textContent = key + ':' + obj[key];
                personInfo.append(p);
            }

        }

    </script>
</body>

</html>